#include=       # additional conf file to include

## data info
#datadirbase=   # path to main (parent) data directory  [required]
#dataname=      # name of data set (field)  [required]
                # multiple declarations allowed
#dataversion=   # L1 version tag [required]
 	        # data path is {datadirbase}/{dataname}_{dataversion}
		# This can be a comma separated list, which is matched to
		# dataname in order
#do_ptrs        # set to save all data in memory 
	        # (is on by default--set to 0 to disable)
#do_oneband     # read one band into memory at a time.  Note
                # that this prevents you from being able to reuse
                # the deglitching info
#allowedobsids= # Comma seperated string of obsids to allow
		#   (ex: allowedobsids=1342222595,1342222597)
#badbolos=      # space-separated list of bolos to ignore
                # multiple declarations allowed -- results concatenated
                # note: this replaces default bad bolo list
#do_tdc         # perform tdc correction module on timestreams
#no_medfilt     # do not perform median subtraction on timestreams
                # this is turned off automatically if do_tdc is set
#todmean        # Mean subtract each TOD timeline as part of temperature
                # drift correction
#store_pixinfo  # if do_ptrs set, overwrite ra/dec info with pixel projection
                # (to save memory)

####### ASTROMETRY ########
#do_aormaps     # set to perform individual aor maps
#aor_pixsize    # pixel size to make AOR maps at
#astromname=    # name of alternate astrometry file (do not include .dat)
#noastrom       # do not perform astrometry correction
#lin_basetime=  # Base time for linear (with time) RA/DEC correction
#lin_ra_slope=  # RA slope for linear RA/DEC correction
#line_dec_slope=# DEC slope for linear RA/DEC correction
#nolatlon       # Force standard LATPOLE/LONPOLE
#If any of lin_* are set, the others must also be set.


###### ITERPARAMS #####
#niter=         # override default iterparams.niter
#first_offs=    # override default iterparams.first_offs
#first_gain=    # override default iterparams.first_gain
#first_wt=      # override default iterparams.first_wt
#first_clip=    # override default iterparams.first_clip
#fixed_nt=      # 0->variable nterms, 1->fixed nterms
#nterms=        # if fixed_nt=1, use nterms terms in poly fit
#nt_scale=      # if fixed_nt=0, gives scale for number of terms (in sec)

#You can also use the iterative parameters from previous runs by using
#fixedname=     # Name of fixed iterative params (e.g., cosmos)
#fixeddate=     # Date of fixed params (e.g., 20110713)
#fixeddir=      # Directory to look for fixed params in 
#               #  (e.g. /data/spire/maps/cosmos-nest/20110713)
#do_fixeddeglitch # Use deglitch information from previous run as well as fixed
#                 # params.  Turns off deglitching.
# It will look for parameter files of the form
#   fixeddir + 'ITERMAP_diagnostic_params_'+fixedname+'_'+fixeddate+'_PSW.fits'
# and for deglitch info in
#   fixeddir + fixedname+'_itermap_'+fixeddate+'_2ndlevel_deglitch.sav'
# You can't get fixed deglitching without using fixed parameters

###### OUTPUT INFO ######
#shortname=     # name for field in output filenames (instead of obsid string)
#exname=        # identifying tag in file name (by default, is date)
#exapp=         # tag name to append to exname

#iterdiag=     # itermap diagnostics bit flag
	       # 1 -> save maps at each iteration
	       # 2 -> save offset parameters at each iteration

#pixsize=       # pixsize in arcsec
	       # 1 number for all maps with same pixel size
	       # 3 (space-separated) numbers for 250/350/500

## suppress creation of one or more bands
#no250
#no350
#no500

############ TIMESTREAM MASKS ######################
# This provides the ability to ignore certain mask bits 
# in the timestream by removing them from the excludemask string
#nomask        # String value (can have wildcards) of mask name to remove
#              # so, nomask=maskGlitch* will ignore all 4 Glitch mask bits

### masking scans ###
# mask detectors matching "detstring" in obsid/bbid
# detstring can have wild cards, e.g. PSWA*
# optionally mask sample range startsamp->startsamp+nsamp instead of full scan
#badscan=      # detstring obsid bbid [startsamp nsamp]

### Time stream masking based on sky location ###
# obsid can be '*' for all obsids
# all params in degrees
# mutiple declarations allowed
#todmask=      # circ obsid ra_c dec_c rad # circular mask with radius rad
#todmask=      # poly obsid ra1 dec1 ... ran decn # list of polygon vertices
               

############## ASTROMETRY ##############
## All fields can have 1 (for all bands the same) or 3 (for different) numbers
#nxpix=        # number of pixels in X direction (integer > 0)
#nypix=        # number of pixels in Y direction (integer > 0)
#crvalx=       # coordinate value of central X coordinate (float)
#crvaly=       # coordinate value of central Y coordinate (float)
#crpixx=       # central pixel in X direction (float)
#crpixy=       # central pixel in Y direction (float)
#projtype=     # type of projection (str) [default: TAN]

##### MATCHED FILTER ####
#do_matched    # Apply a matched filter, a la Ed Chapin
#instnoise     #Instrument noise (in Jy/pixel) used in matched filter,
#                rather than trying to estimate it from the noise map

##### RED SOURCE MAPS ####
#do_redsource  #Apply red source smoothing to output maps
#red_brute     #Use brute force convolution rather than FFT convolution
#              # for red maps.  This handles missing data better, but is slow.

###### JACKKNIFE MAPS #####
## each declaration creates a new jackknife map, although multiple 
## declarations with the same name are allowed -- the results are concatenated
## the final 3 parameters are optional and default to 1
#jackknife=name first_scan nscans nblock nblock_use stride
               # name: tag to put in filename
	       # first_scan: starting index value
	       # nscans: total number of scans in jackknife
	       # nblock: number of scans in a "block"
               #         this can be used for direction jks -- a block is the
               #         number of scans in 1 "repeat"
	       # nblock_use: number of scans in block to include 
	       # stride: include every nth scan

#do_jkbolo      # do bolometer jackknife (half/half focal plane)
